# Sitemap

* [Homepage](/index)

* [What's YunoHost](/whatsyunohost)

* [Documentation](/docs)

    * Try YunoHost
       * [With the demo](/try)    
       * [With a live USB stick](/try_at_home)

    * [Administrator guide](/admindoc)
        * [Self-hosting](/selfhosting_en)
        * [Hardware compatible](/hardware)
        * [Installation guide](/install)
            * [On the Internet Cube](/install_brick_en)
            * [On a Raspberry Pi](/install_on_raspberry)
            * [On a Cubieboard](/install_on_cubieboard)
            * [From an ISO](/install_iso)
            * [On Debian](/install_on_debian)
            * [On VirtualBox](/install_on_virtualbox)
            * [On Docker](/docker)
            * [On Vagrant](/vagrant)
            * [On a DigitalOcean droplet](/install_on_digitalocean)
            * [On a dedicated or a virtual private server](/install_on_dedicated_server)
            * Instalation steps
               * [Burn or copy iso](/burn_or_copy_iso)
               * [Boot and graphical install](/boot_and_graphical_install)
               * [Copy YunoHost image on SD card](/copy_image)
               * [Manual instalation](/install_manually)
               * [Plug and boot your server](/plug_and_boot)
               * [Post-instalation](/postinstall)
        * Access to YunoHost server: DNS, domain name, `hosts` file
           * [Diagnostic the access to YunoHost server](/diagnostic)
           * [DNS Settings](/dns)
           * [Registrar](registar)
           * [DNS Configuration](/dns_config)
           * [Use the YunoHost DNS resolver](/dns_resolver_en)
           * [Dynamic IP address: configure DynDNS](dns_dynamicip_en)
           * [Access his server on his local network](/dns_local_network_en)
        * [Internet service provider](/isp)
            * [Generic configuration of the ISP router](/isp_box_config)
        * Applications
            * [Official applications](/apps_en)
            * [Non-official applications](/apps_in_progress_en)
            * [Update applications](app_update_en)
        * Administration
            * Command-line
                * [Connect to your server with SSH](/ssh)
                * [Command line administration](/moulinette)
            * [Web administration](/admin)
            * [Change administration password](/change_admin_password)
        * [Email](email_en)
           * [Configure email client](email_configure_client_en)
           * [Migrate emails](email_migration_en)
           * [Forms to remove blacklisting of your IP address](blacklist_forms_en)
           * [Use DKIM](dkim)
        * Certificates
            * [Add a certificate certified by an authority](/certificate)
            * [Regenerate self-signed certificate](/regenerate_certificate_en)
        * [Security](/security)
        * [Troubleshooting guide](/troubleshooting_guide_en)
        * [YunoHost Tor Hidden Servicer](/torhiddenservice)
        * [Unblock an IP address with Fail2ban](/fail2ban_en)

    * [User guide](/userdoc)
        * [User interface](user_interface)
        * [Configure email client](email_configure_client_en)
        * [Instant messaging usage](/XMPP)
        * [Official applications](/apps)
           * [Baikal](/app_baikal_en)
           * [Firefox Sync](/app_ffsync_en)
           * [Tiny Tiny RSS](/app_ttrss_en)
           * [Transmission](/app_transmission_en)
           * [Radicale](/app_radicale)
           * [RoundCube](/app_roundcube_en)

    * [Contributor guide](/contribute)
        * Developement
           * [Package new application](/packaging_apps)
           * [Applications in progress](/apps_in_progress_en)
           * [Wishlist of applications](/apps_wishlist_en)
           * [Creation of system packages](/build_system_en)
           * [Creation of Debian packages](/build_packages_en)
           * [Create a live USB image](/create_live_usb)
           * [Build Openresty](/build_openresty)
        * Documentation
           * [Write documentation](/write_documentation)
           * [Accounting to edit documentation](/accounting)
        * [Contribution](/contributordoc)

* Project's life:
   * [Changelog v.2.0](/changelog_2_0_en)
   * [Changelog v.2.2](/changelog_2_2_en)
   * [Roadmap](/roadmap)
   * [Contributors](contribs)
   * [Support](/support_en)
   * [Art Works](artworks_en)
   * [Blog](https://forum.yunohost.org/c/announcement)
   * [Communication](communication_en)
   * [Help](/help)